Complete MFA Passkey registration

Completes the MFA Passkey registration flow for an Account.

POST
/identity/v2/auth/account/2fa/register/passkey/finish

Completes the MFA Passkey registration flow for an Account.

Authorization

BearerToken APIKey
AuthorizationBearer <token>

Bearer token for user authentication

In: header

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

access_token?string

Access Token of the User

prevent_webhook?boolean

When true, suppresses webhook events for this operation.

Header Parameters

X-PreventWebhook?boolean

When true, suppresses webhook events for this operation.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/identity/v2/auth/account/2fa/register/passkey/finish?access_token=493318dd-487a-439b-8302-5e27f1110244&prevent_webhook=true" \  -H "X-PreventWebhook: true" \  -H "Content-Type: application/json" \  -d '{    "PasskeyCredential": {      "id": "AUiVKBdB9M_87caeOwmagMqNO0zrQwV3yV74qnGzDiA4ky6d9OHmQQGHN0kCogAiHeuMKJKoNJ6xwTXM6xjQwx3fEKfW3yQb4P8mJ2iQPgTOdHweeDGHUF8_UWTUyoxJ",      "rawId": "c29tZS1leGFtcGxlLXJhd0lk",      "response": {        "clientDataJSON": "c29tZS1leGFtcGxlLXJhd0lk",        "attestationObject": "c29tZS1leGFtcGxlLXJhd0lk"      },      "type": "public-key"    }  }'
{
  "Id": "43e4417bd2de4a1fa82445274f864203",
  "Authenticator": "iCloud Keychain",
  "Identifier": "efdc233182cd4f578432d2134ea75081",
  "CreatedAt": "2024-06-03T08:40:58.088Z"
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The apikey is a required parameter."
}

{
  "ErrorCode": 6003,
  "Message": "Trial plan expired",
  "Description": "The trial plan has expired. To continue using the service, please contact support."
}